> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/conversion/convert-pdf.md).

# Convert PDF to multiple file types on iOS

Convert PDF documents to various formats without needing an internet connection. Easily convert PDF to DOCX, DOC, HTML, SVG, TIF, PNG, JPEG, XPS, EPUB, TXT, and more with PDF Converter. Explore full s

To convert PDF documents to different format types.

{% hint style="info" %}
Internet connection is not required for conversion.
{% endhint %}

{% hint style="info" %}
Convert PDF to DOCX, DOC, HTML, SVG, TIF, PNG, JPEG, XPS, EPUB, TXT, and many other formats.
{% endhint %}

{% tabs %}
{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
PTPDFDoc* doc = [[PTPDFDoc alloc] initWithFilepath:filename];

// Convert PDF document to SVG
[PTConvert ToSvgWithPDFDoc:doc in_filename:output_filename in_options:nil];

// Convert PDF document to XPS
[PTConvert ToXpsWithFilename:filename in_outputFilename:output_filename options:nil];

// Convert PDF document to multipage TIFF
PTTiffOutputOptions* tiff_options = [[PTTiffOutputOptions alloc] init];
[tiff_options SetDPI:200];
[tiff_options SetDither:true];
[tiff_options SetMono:true];
[PTConvert ToTiff:filename out_path:output_filename options:tiff_options];

// Convert PDF to XOD
[PTConvert ToXodWithFilename:filename out_filename:output_filename options:nil];

// Convert PDF to HTML
[PTConvert ToHtmlWithFilename:filename out_filename:output_filename options:nil];

PTPDFDraw *draw = [[PTPDFDraw alloc] init];
PTPage *pg = [doc GetPage: 1];

// Convert the first PDF page to PNG
[draw  Export:pg filename:output_filename format: @"PNG"];

// Convert the first PDF page to JPEG
[draw  Export:pg filename:output_filename format: @"JPEG"];
```

{% endcode %}
{% endtab %}

{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
let doc: PTPDFDoc = PTPDFDoc(filepath:filename)

// Convert PDF document to SVG
PTConvert.toSvg(with:doc, in_filename:output_filename, in_options:nil);

// Convert PDF document to XPS
PTConvert.toXps(withFilename:filename in_outputFilename:output_filename, options:nil);

// Convert PDF document to multipage TIFF
PTTiffOutputOptions tiff_options = PTTiffOutputOptions()
tiff_options.SetDPI(200);
tiff_options.SetDither(true);
tiff_options.SetMono(true);
Convert.toTiff(filename, out_path:output_filename, options:tiff_options);

// Convert PDF to XOD
Convert.toXod(withFilename:filename, out_filename:output_filename, options:nil);

// Convert PDF to HTML
Convert.toHtml(withFilename:filename, out_filename:output_filename, options:nil);

let draw: PTPDFDraw = PTPDFDraw()
let pg: PTPage = doc.getPage(1)

// Convert the first PDF page to PNG
draw.export(pg, filename:output_filename, format: "PNG")

// Convert the first PDF page to JPEG
draw.export(pg, filename:output_filename, format: "JPEG")
```

{% endcode %}
{% endtab %}
{% endtabs %}

[PDF Converter (SVG, XPS, TIFF, JPG, RTF, TXT, More)](/ios/get-started/samples.md#convert) Full sample code which shows how to use PDFNet Convert for direct, high-quality conversion between PDF, XPS, EMF, SVG, TIFF, PNG, JPEG, and other image formats.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/conversion/convert-pdf.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
